Name:      qubes-mgmt-salt
Version:   4.1.11
Release:   1%{?dist}
Summary:   Installs salts configuration files, directory layout and qubesctl
License:   GPL 2.0
URL:	   http://www.qubes-os.org/

Group:     System administration tools
BuildArch: noarch
Requires:  salt >= 2015.5
Requires:  salt-minion
Requires:  qubes-mgmt-salt-base
%if 0%{?rhel} == 7
BuildRequires: python%{python3_pkgversion}-PyYAML
%else
BuildRequires: python%{python3_pkgversion}-pyyaml
%endif
BuildRequires: make
BuildRequires: tree
BuildRequires: pandoc
BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-devel

Source0: %{name}-%{version}.tar.gz

%description
Installs salts configuration files, directory layout and qubesctl

- qubes-mgmt-salt:
    Installs salt and base configuration and modules

- qubes-mgmt-salt-dom0:
    qubes-mgmt-salt + dom0 depends

- qubes-mgmt-salt-dom0-formulas:
    All dom0 formulas

- qubes-mgmt-salt-vm:
    qubes-mgmt-salt + VM depends

- qubes-mgmt-salt-vm-formulas:
    All VM formulas

- qubes-mgmt-salt-extra-formulas:
    All extra formulas (qubes-mgmt-all-*)

%package config
Summary:   Qubes+Salt Management base configuration for SaltStack's Salt Infrastructure automation and management system.
Group:     System administration tools
Requires:  salt
Requires:  salt-minion
Conflicts:  qubes-mgmt-salt-base-top < 4.1.0
%if 0%{?rhel} == 7
BuildRequires: python%{python3_pkgversion}-PyYAML
%else
BuildRequires: python%{python3_pkgversion}-pyyaml
%endif
BuildArch: noarch

%description config
Qubes+Salt Management base configuration for SaltStack's Salt Infrastructure automation and management system.

%package shared-formulas
Summary:   All Qubes+Salt Management shared (qubes-mgmt-all-*) formulas
Group:     System administration tools
BuildArch: noarch
Requires:  qubes-mgmt-salt

%description shared-formulas
Qubes+Salt Management shared (qubes-mgmt-all-*) formulas.

%package admin-tools
Summary:    Management tools integrating dom0 and VM management
Group:     System administration tools
BuildArch: noarch
Requires:  qubes-mgmt-salt
# doesn't work with old Admin API policy layout
Conflicts: qubes-core-dom0 < 4.1.12

%description admin-tools
Tools to integrate dom0 and VM management into a single qubesctl tool.

%prep
%setup -q

%install
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir} BINDIR=%{_bindir} SBINDIR=%{_sbindir} SYSCONFDIR=%{_sysconfdir} PYTHON=%{__python3}
make install-dom0 DESTDIR=%{buildroot} PYTHON=%{__python3}
rm -rf %{buildroot}/srv/formulas/.gitignore

%files
%defattr(-,root,root)
%attr(766, root, root)
%{_mandir}/man1/qubesctl.1*

%files config
%defattr(-,root,root)
%config(noreplace) /etc/salt/minion.d/f_defaults.conf
/etc/salt/minion.dist
/etc/salt/minion.dom0.conf
/etc/salt/minion.vm.conf
/etc/salt/spm
/etc/salt/spm.repos.d/local.repo

%attr(750, root, root) %dir /srv/formulas

%attr(750, root, root) %dir /srv/pillar
%config(noreplace) /srv/pillar/top.sls
/srv/pillar/top.sls.old

%attr(750, root, root) %dir /srv/reactor
/srv/reactor/import_keys
/srv/reactor/sync_all.sls

%attr(750, root, root) %dir /srv/salt
%config(noreplace) /srv/salt/top.sls
/srv/salt/top.jinja
/srv/salt/top.sls.old

%files admin-tools
/usr/bin/qubesctl
%dir %{python3_sitelib}/qubessalt-*egg-info
%{python3_sitelib}/qubessalt-*egg-info/*
%dir %{python3_sitelib}/qubessalt
%{python3_sitelib}/qubessalt/__init__.py*
%{python3_sitelib}/qubessalt/__pycache__/*


%files shared-formulas
%defattr(-,root,root)

%changelog
* Tue May 11 2021 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-mgmt-salt.git

* Tue May 11 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1882931
- version 4.1.11

* Sun May 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5d3b029
- Apply workaround for highstate rendering failure

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5a92c27
- spec: add BR make

* Fri Apr 16 2021 ctrlaltf24 <70006231+ctrlaltf24@users.noreply.github.com> - cc42759
- removed templates apps and standalones from the muturally exclusive group

* Mon Jan 18 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 18f819f
- Break long line

* Fri Jan 15 2021 keyandthegate <75840808+keyandthegate@users.noreply.github.com> - f27c0cd
- Don't throw away salt stderr

* Mon Dec 28 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 30db67a
- version 4.1.10

* Mon Dec 28 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b6768cd
- Fix reproducibility - explicit umask set

* Thu Dec 24 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 01ec3f6
- Fix build with python3 for CentOS

* Thu Dec 03 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 900c0ea
- version 4.1.9

* Fri Nov 27 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 672e1f8
- Drop unused VM packages

* Thu Nov 26 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f626b0a
- debian: drop dependency on qubes-mgmt-salt-vm-python-pip

* Thu Nov 26 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 40fbe93
- gitlab-ci: exclude install dom0 packages in vm

* Tue Nov 24 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - 0c6cc81
- Invoke qubes.SaltLinuxVM as root

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a546334
- Add .gitlab-ci.yml

* Sat Nov 07 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9a62563
- version 4.1.8

* Sat Nov 07 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6c2dec9
- Do not open-code EOF marker twice

* Sat Nov 07 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - be9002e
- Support newer Salt versions

* Sun May 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e5759d1
- version 4.1.7

* Sun May 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3372067
- rpm: add specific version dependency for qubes-core-dom0

* Sun May 17 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f631a9d
- Modify qubesctl to use the new policy format

* Fri Apr 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 610ddaa
- version 4.1.6

* Thu Apr 16 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5058aa2
- travis: import from qubes-continuous-integration

* Sat Mar 28 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3a8b5b6
- version 4.1.5

* Mon Mar 23 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - b4dcfc4
- spec: pyyaml is case sensitive in CentOS

* Mon Mar 23 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e49ab3a
- spec: don't hardcode 'python3' prefix

* Mon Mar 23 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 58d113f
- travis: add CentOS 7 build

* Sun Mar 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 39cf88d
- version 4.1.4

* Sun Mar 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9f2ab14
- Log when considering empty output a failure

* Tue Mar 17 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 1ffef29
- Make qubes-mgmt-salt-base-overrides obsolete for R4.1

* Sun Mar 08 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cd7bf10
- Report empty output as a failure

* Sun Mar 01 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - b69d307
- qubesctl: handle StandaloneVMs targets

* Sun Mar 01 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f20c610
- qubesctl: make PEP8 happy

* Fri Jan 24 2020 Johanna Abrahamsson <johanna@assured.se> - e75e528
- Switch PyYAML dependency to python3-pyyaml

* Sun Jan 05 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a092e67
- version 4.1.3

* Wed Dec 25 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3e18918
- Add workaround for salt bug

* Wed Dec 25 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8f6a9e6
- travis: switch dom0 to fc31, update VM versions

* Wed Dec 25 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 201896f
- Switch to Python 3

* Wed Dec 25 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1424704
- Remove unused import

* Wed Dec 25 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 11660a4
- Filter out control characters in log too

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 967e49b
- travis: switch to bionic

* Sun Aug 11 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2153725
- version 4.1.2

* Sat Jul 20 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ca06f94
- Do not fail if 'salt' user does not exist in disp-mgmt-* VM

* Sat Jul 20 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a2d0664
- Make top.jinja compatible with python3

* Sat Jun 08 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c486194
- version 4.1.1

* Fri Apr 12 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d794aab
- Really make ssh-wrapper a python3 script

* Sat Apr 06 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7571a38
- travis: update for R4.1

* Sat Apr 06 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - df75f57
- Make ssh-wrapper python3 script

* Sat Apr 06 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e5bf156
- Make qubesctl explicit python2

* Tue Apr 02 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 47a95a5
- version 4.1.0

